Package relaxngcc.grammar

# Class JavaBlock

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.JavaBlock

public class JavaBlock extends Pattern
Represents <cc:java> block. This class derives Pattern so that it can be mixed with other patterns. However, only GroupPattern is allowed to have this Pattern as its child.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`code`
code fragment.

## Constructor Summary

Constructors
Constructor
Description
`JavaBlock(ParserRuntime rt, String code_)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`
`JavaBlock`
`asJavaBlock()`
`Pattern`
`asPattern()`
`boolean`
`isJavaBlock()`
`boolean`
`isPattern()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### code

public final String code
code fragment.

## Constructor Details

### JavaBlock

public JavaBlock(ParserRuntime rt, String code_)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`

### isPattern

public boolean isPattern()

### asPattern

public Pattern asPattern()

### isJavaBlock

public boolean isJavaBlock()

### asJavaBlock

public JavaBlock asJavaBlock()